Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes | Static Public Attributes

# MetadataField Class Reference

## Public Member Functions
| Status ()
| Type ($NewValue=DB_NOVALUE)
| TypeAsName ()
| Name ($NewName=DB_NOVALUE)
| GetAllowedConversionTypes ()
| IsTempItem ($NewSetting=NULL)
| Id ()
| DBFieldName ()
| Description ($NewValue=DB_NOVALUE)
| RequiredBySPT ($NewValue=DB_NOVALUE)
| Enabled ($NewValue=DB_NOVALUE)
| Optional ($NewValue=DB_NOVALUE)
| Viewable ($NewValue=DB_NOVALUE)
| AllowMultiple ($NewValue=DB_NOVALUE)
| IncludeInKeywordSearch ($NewValue=DB_NOVALUE)
| IncludeInAdvancedSearch ($NewValue=DB_NOVALUE)
| IncludeInSortOptions ($NewValue=DB_NOVALUE)
| IncludeInRecommenderSystem ($NewValue=DB_NOVALUE)
| TextFieldSize ($NewValue=DB_NOVALUE)
| MaxLength ($NewValue=DB_NOVALUE)
| ParagraphRows ($NewValue=DB_NOVALUE)
| ParagraphCols ($NewValue=DB_NOVALUE)
| MinValue ($NewValue=DB_NOVALUE)
| MaxValue ($NewValue=DB_NOVALUE)
| FlagOnLabel ($NewValue=DB_NOVALUE)
| FlagOffLabel ($NewValue=DB_NOVALUE)
| DateFormat ($NewValue=DB_NOVALUE)
| SearchWeight ($NewValue=DB_NOVALUE)
| RecommenderWeight ($NewValue=DB_NOVALUE)
| MaxHeight ($NewValue=DB_NOVALUE)
| MaxWidth ($NewValue=DB_NOVALUE)
| MaxPreviewHeight ($NewValue=DB_NOVALUE)
| MaxPreviewWidth ($NewValue=DB_NOVALUE)
| MaxThumbnailHeight ($NewValue=DB_NOVALUE)
| MaxThumbnailWidth ($NewValue=DB_NOVALUE)
| DefaultAltText ($NewValue=DB_NOVALUE)
| ImagePreviewPrivilege ($NewValue=DB_NOVALUE)
| UsesQualifiers ($NewValue=DB_NOVALUE)
| ShowQualifiers ($NewValue=DB_NOVALUE)
| DefaultQualifier ($NewValue=DB_NOVALUE)
| UseForOaiSets ($NewValue=DB_NOVALUE)
| ViewingPrivilege ($NewValue=DB_NOVALUE)
| AuthoringPrivilege ($NewValue=DB_NOVALUE)
| EditingPrivilege ($NewValue=DB_NOVALUE)
| AllowHTML ($NewValue=DB_NOVALUE)
| TreeBrowsingPrivilege ($NewValue=DB_NOVALUE)
| PointPrecision ($NewValue=DB_NOVALUE)
| PointDecimalDigits ($NewValue=DB_NOVALUE)
| DefaultValue ($NewValue=DB_NOVALUE)
| UpdateMethod ($NewValue=DB_NOVALUE)
| Get/set method by which field is updated.
| GetPossibleValues ($MaxNumberOfValues=NULL, $Offset=0)
| GetCountOfPossibleValues ()
| GetIdForValue ($Value)
| GetValueForId ($Id)
| HasItemLevelQualifiers ($NewValue=DB_NOVALUE)
| AssociatedQualifierList ()
| UnassociatedQualifierList ()
| AssociateWithQualifier ($QualifierIdOrObject)
| UnassociateWithQualifier ($QualifierIdOrObject)
| GetFactory ()
| MetadataField ($FieldId, $FieldName=NULL, $FieldType=NULL, $Optional=TRUE, $DefaultValue=NULL)
| Drop ()
| ModifyField ($NewName=NULL, $NewType=NULL)
| UpdateValue ($FieldName, $NewValue)
| NormalizeFieldNameForDB ($Name)
| AddDatabaseFields ()
| OrderPosition ($OrderType, $NewValue=DB_NOVALUE)
## Public Attributes
const | UPDATEMETHOD_NOAUTOUPDATE = "NoAutoUpdate"
const | UPDATEMETHOD_ONRECORDCREATE = "OnRecordCreate"
const | UPDATEMETHOD_BUTTON = "Button"
const | UPDATEMETHOD_ONRECORDEDIT = "OnRecordEdit"
const | UPDATEMETHOD_ONRECORDCHANGE = "OnRecordChange"
## Static Public Attributes
static | $FieldTypeDBEnums
static | $FieldTypeDBAllowedEnums
static | $FieldTypePHPEnums
static | $UpdateTypes

List of all members.

## Detailed Description

Definition at line 11 of file MetadataField.php.

## Member Function Documentation

MetadataField::AddDatabaseFields | ( | ) |

Definition at line 1120 of file MetadataField.php.

References DBFieldName(), DefaultValue(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, Name(), Optional(), Type(), and UpdateValue().

Referenced by IsTempItem().

Here is the caller graph for this function:

MetadataField::AllowHTML | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 256 of file MetadataField.php.

References UpdateValue().

MetadataField::AllowMultiple | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 225 of file MetadataField.php.

References UpdateValue().

MetadataField::AssociatedQualifierList | ( | ) |

Definition at line 534 of file MetadataField.php.

Referenced by UnassociatedQualifierList().

Here is the caller graph for this function:

MetadataField::AssociateWithQualifier | ( | $ | QualifierIdOrObject ) |

Definition at line 570 of file MetadataField.php.

References Id().

MetadataField::AuthoringPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 254 of file MetadataField.php.

References UpdateValue().

MetadataField::DateFormat | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 238 of file MetadataField.php.

References UpdateValue().

MetadataField::DBFieldName | ( | ) |

Definition at line 217 of file MetadataField.php.

Referenced by AddDatabaseFields(), and HasItemLevelQualifiers().

Here is the caller graph for this function:

MetadataField::DefaultAltText | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 247 of file MetadataField.php.

References UpdateValue().

MetadataField::DefaultQualifier | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 251 of file MetadataField.php.

References UpdateValue().

MetadataField::DefaultValue | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 308 of file MetadataField.php.

References MetadataSchema::MDFTYPE_POINT, Type(), and UpdateValue().

Referenced by AddDatabaseFields(), and ModifyField().

Here is the caller graph for this function:

MetadataField::Description | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 220 of file MetadataField.php.

References UpdateValue().

MetadataField::Drop | ( | ) |

Definition at line 788 of file MetadataField.php.

References $FieldTypePHPEnums, Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

MetadataField::EditingPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 255 of file MetadataField.php.

References UpdateValue().

MetadataField::Enabled | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 222 of file MetadataField.php.

References UpdateValue().

MetadataField::FlagOffLabel | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 237 of file MetadataField.php.

References UpdateValue().

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::FlagOnLabel | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 236 of file MetadataField.php.

References UpdateValue().

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::GetAllowedConversionTypes | ( | ) |

Definition at line 87 of file MetadataField.php.

References MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and Type().

MetadataField::GetCountOfPossibleValues | ( | ) |

Definition at line 398 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetFactory | ( | ) |

Definition at line 610 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetIdForValue | ( | $ | Value ) |

Definition at line 432 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetPossibleValues | ( | $ | MaxNumberOfValues = `NULL`,
|  | $ | Offset = `0`
| ) |  |

Definition at line 348 of file MetadataField.php.

References FlagOffLabel(), FlagOnLabel(), Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetValueForId | ( | $ | Id ) |

Definition at line 464 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::HasItemLevelQualifiers | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 497 of file MetadataField.php.

References DBFieldName(), and UpdateValue().

MetadataField::Id | ( | ) |

Definition at line 216 of file MetadataField.php.

Referenced by AssociateWithQualifier(), Drop(), GetCountOfPossibleValues(), GetFactory(), GetIdForValue(), GetPossibleValues(), GetValueForId(), IsTempItem(), ModifyField(), PointDecimalDigits(), and PointPrecision().

Here is the caller graph for this function:

MetadataField::ImagePreviewPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 248 of file MetadataField.php.

References UpdateValue().

MetadataField::IncludeInAdvancedSearch | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 227 of file MetadataField.php.

References UpdateValue().

MetadataField::IncludeInKeywordSearch | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 226 of file MetadataField.php.

References UpdateValue().

MetadataField::IncludeInRecommenderSystem | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 229 of file MetadataField.php.

References UpdateValue().

MetadataField::IncludeInSortOptions | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 228 of file MetadataField.php.

References UpdateValue().

MetadataField::IsTempItem | ( | $ | NewSetting = `NULL` ) |

Definition at line 142 of file MetadataField.php.

References AddDatabaseFields(), Id(), MetadataSchema::MDFSTAT_ILLEGALNAME, Name(), and NormalizeFieldNameForDB().

MetadataField::MaxHeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 241 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxLength | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 231 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxPreviewHeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 243 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxPreviewWidth | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 244 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxThumbnailHeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 245 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxThumbnailWidth | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 246 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxValue | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 235 of file MetadataField.php.

References UpdateValue().

MetadataField::MaxWidth | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 242 of file MetadataField.php.

References UpdateValue().

MetadataField::MetadataField | ( | $ | FieldId,
|  | $ | FieldName = `NULL`,
|  | $ | FieldType = `NULL`,
|  | $ | Optional = `TRUE`,
|  | $ | DefaultValue = `NULL`
| ) |  |

Definition at line 698 of file MetadataField.php.

References $FieldTypeDBEnums, MetadataSchema::MDFORDER_DISPLAY, MetadataSchema::MDFORDER_EDITING, MetadataSchema::MDFSTAT_DUPLICATENAME, MetadataSchema::MDFSTAT_FIELDDOESNOTEXIST, MetadataSchema::MDFSTAT_OK, NormalizeFieldNameForDB(), and OrderPosition().

MetadataField::MinValue | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 234 of file MetadataField.php.

References UpdateValue().

MetadataField::ModifyField | ( | $ | NewName = `NULL`,
|  | $ | NewType = `NULL`
| ) |  |

Definition at line 894 of file MetadataField.php.

References $FieldTypeDBEnums, $FieldTypePHPEnums, DefaultValue(), Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, NormalizeFieldNameForDB(), and UpdateValue().

Referenced by Name(), and Type().

Here is the caller graph for this function:

MetadataField::Name | ( | $ | NewName = `DB_NOVALUE` ) |

Definition at line 47 of file MetadataField.php.

References MetadataSchema::MDFSTAT_DUPLICATENAME, MetadataSchema::MDFSTAT_ILLEGALNAME, MetadataSchema::MDFSTAT_OK, and ModifyField().

Referenced by AddDatabaseFields(), and IsTempItem().

Here is the caller graph for this function:

MetadataField::NormalizeFieldNameForDB | ( | $ | Name ) |

Definition at line 1114 of file MetadataField.php.

Referenced by IsTempItem(), MetadataField(), and ModifyField().

Here is the caller graph for this function:

MetadataField::Optional | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 223 of file MetadataField.php.

References UpdateValue().

Referenced by AddDatabaseFields().

Here is the caller graph for this function:

MetadataField::OrderPosition | ( | $ | OrderType,
|  | $ | NewValue = `DB_NOVALUE`
| ) |  |

Definition at line 1266 of file MetadataField.php.

References MetadataSchema::MDFORDER_DISPLAY, MetadataSchema::MDFORDER_EDITING, and UpdateValue().

Referenced by MetadataField().

Here is the caller graph for this function:

MetadataField::ParagraphCols | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 233 of file MetadataField.php.

References UpdateValue().

MetadataField::ParagraphRows | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 232 of file MetadataField.php.

References UpdateValue().

MetadataField::PointDecimalDigits | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 284 of file MetadataField.php.

References Id(), and UpdateValue().

MetadataField::PointPrecision | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 259 of file MetadataField.php.

References Id(), and UpdateValue().

MetadataField::RecommenderWeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 240 of file MetadataField.php.

References UpdateValue().

MetadataField::RequiredBySPT | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 221 of file MetadataField.php.

References UpdateValue().

MetadataField::SearchWeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 239 of file MetadataField.php.

References UpdateValue().

MetadataField::ShowQualifiers | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 250 of file MetadataField.php.

References UpdateValue().

MetadataField::Status | ( | ) |

Definition at line 23 of file MetadataField.php.

MetadataField::TextFieldSize | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 230 of file MetadataField.php.

References UpdateValue().

MetadataField::TreeBrowsingPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 257 of file MetadataField.php.

References UpdateValue().

MetadataField::Type | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 26 of file MetadataField.php.

References $FieldTypePHPEnums, and ModifyField().

Referenced by AddDatabaseFields(), DefaultValue(), GetAllowedConversionTypes(), GetCountOfPossibleValues(), GetFactory(), GetIdForValue(), GetPossibleValues(), and GetValueForId().

Here is the caller graph for this function:

MetadataField::TypeAsName | ( | ) |

Definition at line 41 of file MetadataField.php.

MetadataField::UnassociatedQualifierList | ( | ) |

Definition at line 556 of file MetadataField.php.

References AssociatedQualifierList().

MetadataField::UnassociateWithQualifier | ( | $ | QualifierIdOrObject ) |

Definition at line 594 of file MetadataField.php.

MetadataField::UpdateMethod | ( | $ | NewValue = `DB_NOVALUE` ) |

Get/set method by which field is updated.

Parameters:

  NewValue | New update method.

Returns:
  Existing update method.

Definition at line 341 of file MetadataField.php.

References UpdateValue().

MetadataField::UpdateValue | ( | $ | FieldName,
|  | $ | NewValue
| ) |  |

Definition at line 1106 of file MetadataField.php.

Referenced by AddDatabaseFields(), AllowHTML(), AllowMultiple(), AuthoringPrivilege(), DateFormat(), DefaultAltText(), DefaultQualifier(), DefaultValue(), Description(), EditingPrivilege(), Enabled(), FlagOffLabel(), FlagOnLabel(), HasItemLevelQualifiers(), ImagePreviewPrivilege(), IncludeInAdvancedSearch(), IncludeInKeywordSearch(), IncludeInRecommenderSystem(), IncludeInSortOptions(), MaxHeight(), MaxLength(), MaxPreviewHeight(), MaxPreviewWidth(), MaxThumbnailHeight(), MaxThumbnailWidth(), MaxValue(), MaxWidth(), MinValue(), ModifyField(), Optional(), OrderPosition(), ParagraphCols(), ParagraphRows(), PointDecimalDigits(), PointPrecision(), RecommenderWeight(), RequiredBySPT(), SearchWeight(), ShowQualifiers(), TextFieldSize(), TreeBrowsingPrivilege(), UpdateMethod(), UseForOaiSets(), UsesQualifiers(), Viewable(), and ViewingPrivilege().

Here is the caller graph for this function:

MetadataField::UseForOaiSets | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 252 of file MetadataField.php.

References UpdateValue().

MetadataField::UsesQualifiers | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 249 of file MetadataField.php.

References UpdateValue().

MetadataField::Viewable | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 224 of file MetadataField.php.

References UpdateValue().

MetadataField::ViewingPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 253 of file MetadataField.php.

References UpdateValue().

## Member Data Documentation

MetadataField::$FieldTypeDBAllowedEnums`[static]`

Initial value:

     array(
                MetadataSchema::MDFTYPE_TEXT             => "Text",
                MetadataSchema::MDFTYPE_PARAGRAPH        => "Paragraph",
                MetadataSchema::MDFTYPE_NUMBER           => "Number",
                MetadataSchema::MDFTYPE_DATE             => "Date",
                MetadataSchema::MDFTYPE_TIMESTAMP        => "TimeStamp",
                MetadataSchema::MDFTYPE_FLAG             => "Flag",
                MetadataSchema::MDFTYPE_TREE             => "Tree",
                MetadataSchema::MDFTYPE_CONTROLLEDNAME   => "ControlledName",
                MetadataSchema::MDFTYPE_OPTION           => "Option",
                MetadataSchema::MDFTYPE_USER             => "User",
                MetadataSchema::MDFTYPE_IMAGE            => "Still Image",
                MetadataSchema::MDFTYPE_FILE             => "File",
                MetadataSchema::MDFTYPE_URL              => "Url",
                MetadataSchema::MDFTYPE_POINT            => "Point"
                )

Definition at line 655 of file MetadataField.php.

Referenced by MetadataSchema::GetAllowedFieldTypes().

MetadataField::$FieldTypeDBEnums`[static]`

Initial value:

     array(
                MetadataSchema::MDFTYPE_TEXT             => "Text",
                MetadataSchema::MDFTYPE_PARAGRAPH        => "Paragraph",
                MetadataSchema::MDFTYPE_NUMBER           => "Number",
                MetadataSchema::MDFTYPE_DATE             => "Date",
                MetadataSchema::MDFTYPE_TIMESTAMP        => "TimeStamp",
                MetadataSchema::MDFTYPE_FLAG             => "Flag",
                MetadataSchema::MDFTYPE_TREE             => "Tree",
                MetadataSchema::MDFTYPE_CONTROLLEDNAME   => "ControlledName",
                MetadataSchema::MDFTYPE_OPTION           => "Option",
                MetadataSchema::MDFTYPE_USER             => "User",
                MetadataSchema::MDFTYPE_IMAGE            => "Still Image",
                MetadataSchema::MDFTYPE_FILE             => "File",
                MetadataSchema::MDFTYPE_URL              => "Url",
                MetadataSchema::MDFTYPE_POINT            => "Point"
                )

Definition at line 639 of file MetadataField.php.

Referenced by MetadataSchema::GetFieldTypes(), MetadataField(), and ModifyField().

MetadataField::$FieldTypePHPEnums`[static]`

Initial value:

     array(
                "Text"                   => MetadataSchema::MDFTYPE_TEXT,
                "Paragraph"              => MetadataSchema::MDFTYPE_PARAGRAPH,
                "Number"                 => MetadataSchema::MDFTYPE_NUMBER,
                "Date"                   => MetadataSchema::MDFTYPE_DATE,
                "TimeStamp"              => MetadataSchema::MDFTYPE_TIMESTAMP,
                "Flag"                   => MetadataSchema::MDFTYPE_FLAG,
                "Tree"                   => MetadataSchema::MDFTYPE_TREE,
                "ControlledName"         => MetadataSchema::MDFTYPE_CONTROLLEDNAME,
                "Option"                 => MetadataSchema::MDFTYPE_OPTION,
                "User"                   => MetadataSchema::MDFTYPE_USER,
                "Still Image"            => MetadataSchema::MDFTYPE_IMAGE,
                "File"                   => MetadataSchema::MDFTYPE_FILE,
                "Url"                    => MetadataSchema::MDFTYPE_URL,
                "Point"                  => MetadataSchema::MDFTYPE_POINT
                )

Definition at line 671 of file MetadataField.php.

Referenced by Drop(), MetadataSchema::GetFields(), ModifyField(), and Type().

MetadataField::$UpdateTypes`[static]`

Initial value:

     array(
            MetadataField::UPDATEMETHOD_NOAUTOUPDATE   => "Do not update automatically",
            MetadataField::UPDATEMETHOD_ONRECORDCREATE => "Update on record creation",
            MetadataField::UPDATEMETHOD_BUTTON         => "Provide an update button",
            MetadataField::UPDATEMETHOD_ONRECORDEDIT   => "Update when record is edited",
            MetadataField::UPDATEMETHOD_ONRECORDCHANGE => "Update when record is changed"
            )

Definition at line 688 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_BUTTON = "Button"

Definition at line 18 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_NOAUTOUPDATE = "NoAutoUpdate"

Definition at line 16 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_ONRECORDCHANGE = "OnRecordChange"

Definition at line 20 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_ONRECORDCREATE = "OnRecordCreate"

Definition at line 17 of file MetadataField.php.

Referenced by Resource::Resource().

const MetadataField::UPDATEMETHOD_ONRECORDEDIT = "OnRecordEdit"

Definition at line 19 of file MetadataField.php.

The documentation for this class was generated from the following file:

- MetadataField.php